GDB (xrefs)

Public Member Functions | List of all members
dtrace_static_probe_ops Class Reference
Inheritance diagram for dtrace_static_probe_ops:

## Public Member Functions
bool | is_linespec (const char **linespecp) const override
void | get_probes (std::vector< probe *> *probesp, struct objfile *objfile) const override
const char * | type_name () const override
bool | can_enable () const override
std::vector< struct info_probe_column > | gen_info_probes_table_header () const override

## Detailed Description

Definition at line 77 of file dtrace-probe.c.

## Member Function Documentation

## ◆ can_enable()

bool dtrace_static_probe_ops::can_enable | ( |  | ) | const
| inline override virtual

Reimplemented from static_probe_ops.

Definition at line 91 of file dtrace-probe.c.

## ◆ gen_info_probes_table_header()

std::vector< struct info_probe_column > dtrace_static_probe_ops::gen_info_probes_table_header | ( |  | ) | const
| override virtual

Implements static_probe_ops.

Definition at line 884 of file dtrace-probe.c.

References _, info_probe_column::field_name, and info_probe_column::print_name.

## ◆ get_probes()

void dtrace_static_probe_ops::get_probes | ( | std::vector< probe *> * | probesp,
|  | struct objfile * | objfile
| ) |  | const
| override virtual

Implements static_probe_ops.

Definition at line 839 of file dtrace-probe.c.

References _, complaint, dtrace_process_dof(), objfile::obfd, objfile::separate_debug_objfile_backlink, SHT_SUNW_dof, symfile_complaints, and xfree().

## ◆ is_linespec()

bool dtrace_static_probe_ops::is_linespec | ( | const char ** | linespecp | ) | const
| override virtual

Implements static_probe_ops.

Definition at line 829 of file dtrace-probe.c.

References probe_is_linespec_by_keyword().

## ◆ type_name()

const char * dtrace_static_probe_ops::type_name | ( |  | ) | const
| override virtual

Implements static_probe_ops.

Definition at line 876 of file dtrace-probe.c.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dtrace-probe.c